Name:           vifir
Version:        0.9
Release:        8%{?dist}
Summary:        A viewer for electronic aviation charts
Group:          Applications/Communications
License:        GPLv3
URL:            http://vifir.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         vifir-0.9-gpsd-2.96.patch
BuildRequires:  gtkmm24-devel
BuildRequires:  gpsd-devel
BuildRequires:  libgeotiff-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  proj-devel
BuildRequires:  poppler-devel
BuildRequires:  poppler-glib-devel
BuildRequires:  libxml++-devel
BuildRequires:  libglademm24-devel
BuildRequires:  libcurl-devel  
BuildRequires:  desktop-file-utils
BuildRequires:  freetype-devel
BuildRequires:  intltool
BuildRequires:  libnova-devel
BuildRequires:  libzip-devel

Requires:       evince


%description
Vifir processes and displays electronic aviation charts produced by the U.S.
National Aeronautical Charting Office in a similar way to an Electronic Flight
Bag.


%prep
%setup -q
%patch0 -p1 -b .gpsd296


%build
export CXXFLAGS="$RPM_OPT_FLAGS"
%configure --prefix=%{_prefix} --libdir=%{_libdir}
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install                                    \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%doc AUTHORS ChangeLog COPYING DEVELOPERS README THANKS TODO
%{_bindir}/%{name}
%{_bindir}/llepdftopng
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png


%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-8
- Rebuilt for c++ ABI breakage

* Sat Feb 04 2012 Remi Collet <remi@fedoraproject.org> - 0.9-7
- rebuild for new libzip

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.9-5
- rebuild(poppler)

* Fri Sep 30 2011 Marek Kasik <mkasik@redhat.com> - 0.9-4
- Rebuild (poppler-0.18.0)

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.9-3
- Rebuild (poppler-0.17.3)

* Tue Aug 23 2011 Tom Callaway <spot@fedoraproject.org> - 0.9-2
- cleanup spec file (I have no idea how it got past review with those 
  redundant globals)
- enable gpsd 2.96+ support

* Sun Jul 31 2011 Dave Ludlow <dave@adsllc.com> - 0.9-1
- Fix off-by-one error causing a crash upon loading a chart

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 0.8-2
- Rebuild (poppler-0.17.0)

* Mon Mar 14 2011 Dave Ludlow <dave@adsllc.com> - 0.8-1
- Clip airport elevations to 32,767 feet when importing X-Plane data

* Sun Mar 13 2011 Marek Kasik <mkasik@redhat.com> - 0.7-8
- Rebuild (poppler-0.16.3)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.7-6
- rebuild (poppler)

* Wed Dec 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.7-5
- rebuild (poppler)

* Sat Nov 06 2010 Fabian Affolter <fabian@bernewireless.net> - 0.7-4
- rebuild (poppler)

* Thu Sep 30 2010 Fabian Affolter <fabian@bernewireless.net> - 0.7-3
- rebuild (poppler)
- Duplicated variable definitions removed

* Thu Aug 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.7-2
- rebuild (poppler)

* Tue Jul 20 2010 Dave Ludlow <dave@adsllc.com> - 0.7-1
- Improve handling of unexpected data/conditions from the GPS
- Improve signal-to-noise ratio on stderr output

* Mon Jul 05 2010 Dave Ludlow <dave@adsllc.com> - 0.6-1
- Support the gpsd version 4 API
- Improve the gps data timeout calculation
- Fix checking for valid lat/lon data
- Add gpsd host/port configuration options
- Add ccache compiler-cache support
- Prevent crashes when no data volume is active

* Fri May 14 2010 Dave Ludlow <dave@adsllc.com> - 0.5-1
- Add X-Plane 9.00 airport data import support
- Numerous tweaks for future Win32 support
- Code style/standardization support
- Fix runway headings import decimal shifting
- Data import performance tweaks
- Add airport info dialog
- Add i18n support
- Reduce nuisance warnings
- Incorporate some changes from Fabian Affolter's Fedora .spec file.

* Sun May 09 2010 Fabian Affolter <fabian@bernewireless.net> - 0.4-3
- Rebuild for new gpsd

* Thu May 06 2010 Fabian Affolter <fabian@bernewireless.net> - 0.4-2
- Rebuild for new poppler

* Sun Jul 26 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4-1
- Initial package for Fedora

* Fri Jun 12 2009 Dave Ludlow <dave@adsllc.com> 0.4-1
- Aircraft data storage
- Performance improvements on slower systems
- METAR download and graphics support
- Add flashlight support
- Shapefile support
- Improve chart scrolling performance
- Simple on-screen keyboard support

* Sat Jul 5 2008 Dave Ludlow <dave@adsllc.com> 0.3-1
- dTPP (approach plate) support
- National Flight Database support
- Route support
- Data overlay support
- Add screensaver & powersave disable hooks
- Multiple data volume support

* Thu Aug 23 2007 Dave Ludlow <dave@adsllc.com> 0.2-1
- Improve look and feel somewhat
- Add GPSD integration and moving map support
- Make recent files menu actually functional
- Add a configuration dialog and persistent storage
- Add approach plate support

* Thu Aug 9 2007 Dave Ludlow <dave@adsllc.com> 0.1-1
- Initial packaging
